
.btransparent {
	border: solid 1px transparent;
}
.bgreen {
	border: solid 1px green;
}
.bred {
	border: solid 1px red;
}
.bblue {
	border: solid 1px blue;
}
.bblack {
	border-bottom: solid 1px black;
}
.byellow {
	border: solid 1px yellow;
}

.bgray {
	border: solid 1px #ededed;
}


.overlay-b5 {
	background: rgba(0, 0, 0, 0.05);
}
.overlay-b10 {
	background: rgba(0, 0, 0, 0.1);
}
.overlay-b15 {
	background: rgba(0, 0, 0, 0.15);
}
.overlay-b20 {
	background: rgba(0, 0, 0, 0.2);
}
.overlay-b25 {
	background: rgba(0, 0, 0, 0.25);
}
.overlay-b30 {
	background: rgba(0, 0, 0, 0.3);
}
.overlay-b40 {
	background: rgba(0, 0, 0, 0.4);
}
.overlay-b50 {
	background: rgba(0, 0, 0, 0.5);
}

.overlay-b60 {
	background: rgba(0, 0, 0, 0.6);
}
.overlay-b70 {
	background: rgba(0, 0, 0, 0.7);
}

.overlay-w5 {
	background: rgba(255, 255, 255, 0.05);
}
.overlay-w10 {
	background: rgba(255, 255, 255, 0.1);
}
.overlay-w15 {
	background: rgba(255, 255, 255, 0.15);
}
.overlay-w20 {
	background: rgba(255, 255, 255, 0.2);
}
.overlay-w25 {
	background: rgba(255, 255, 255, 0.25);
}
.overlay-w30 {
	background: rgba(255, 255, 255, 0.3);
}
.overlay-w40 {
	background: rgba(255, 255, 255, 0.4);
}
.overlay-w50 {
	background: rgba(255, 255, 255, 0.5);
}

.overlay-w60 {
	background: rgba(255, 255, 255, 0.6);
}
.overlay-w70 {
	background: rgba(255, 255, 255, 0.7);
}

.overlay-w80 {
	background: rgba(255, 255, 255, 0.8);
}

.overlay-w90 {
	background: rgba(255, 255, 255, 0.9);
}


.uk-logo-img {
  width: 320px;
  filter: brightness(1);
  transition: filter 0.4s ease;
}

@media (max-width: 640px) {
  .uk-logo-img {
    width: 260px;
  }
}

/* Quando la navbar diventa sticky con background attivo */
.uk-sticky-fixed.uk-background-muted .uk-logo-img {
  filter: grayscale(1) brightness(0.25);
}



.uk-text-xsmall {
	font-size: 0.75em !important;
}

.uk-text-medium {
	font-size: 1.25em !important;
}


.uk-logo-img1 {
  width: 260px;
  filter: brightness(1);
  transition: filter 0.4s ease;
}

@media (max-width: 640px) {
  .uk-logo-img1 {
    width: 220px;
  }
}

/* Quando la navbar diventa sticky con background attivo */
.uk-sticky-fixed.uk-background-muted .uk-logo-img1 {
  filter: grayscale(1) brightness(0.25);
}



.uk-logo-img2 {
  width: 260px;
}
#half-vh-marker {
  height: 50vh;
  pointer-events: none;
  visibility: hidden;
}

.horizontal-section {
  position: relative;
  overflow: hidden;
}

/* Wrapper che contiene tutte le slide affiancate */
.horizontal-wrapper {
  display: flex;
  height: 100vh;      /* occupa tutto il viewport in altezza */
}

/* Ogni slide = una “pagina” a pieno viewport */
.horizontal-wrapper .panel {
  flex: 0 0 100vw;    /* larghezza = viewport */
}

/* diamo un fallback se per qualche motivo uk-cover non parte */
.horizontal-wrapper .panel img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* YOUTUBE */

.youtube-embed, .youtube-embed iframe {
  width: 100%;
}

.youtube-embed:not(.youtube-embed--container) {
  width: 100vw;
  left: 50%;
  right: 50%;
  margin-left: -50vw;
  margin-right: -50vw;
  position: relative;
}


